import { ArgOf, ArgsOf } from "../repositories/event.repository";
import { BaseService } from "./base.service";
export declare class TelemetryService extends BaseService {
    onBootstrap(): Promise<void>;
    onUserCreate(): void;
    onUserTrash(): void;
    onUserRestore(): void;
    onJobStart(...[queueName]: ArgsOf<'JobStart'>): void;
    onJobSuccess({ job, response }: ArgOf<'JobSuccess'>): void;
    onJobError({ job }: ArgOf<'JobError'>): void;
    onJobComplete(...[queueName]: ArgsOf<'JobComplete'>): void;
    onQueueStart({ name }: ArgOf<'QueueStart'>): void;
}
